#ifndef __DATASTRUCTURE_H__
#define __DATASTRUCTURE_H__

#include <QObject>
#include <QQmlEngine>

struct NetworkInfomation {
    Q_GADGET
    QML_NAMED_ELEMENT(networkInfomation)
    Q_PROPERTY(bool dhcp MEMBER dhcp)
    Q_PROPERTY(QString ip MEMBER ip)
    Q_PROPERTY(QString netmask MEMBER netmask)
    Q_PROPERTY(QString gateway MEMBER gateway)
public:
    bool dhcp;
    QString ip = "127.0..1";
    QString netmask;
    QString gateway;
};
Q_DECLARE_METATYPE(NetworkInfomation)

#endif // __DATASTRUCTURE_H__
